import { DeviceType } from '@ucap-webmessenger/core';
import {
  ProtocolRequest,
  ProtocolResponse,
  ProtocolNotification
} from '@ucap-webmessenger/protocol';

// tslint:disable-next-line: no-empty-interface
export interface LogoutRequest extends ProtocolRequest {}

// tslint:disable-next-line: no-empty-interface
export interface LogoutResponse extends ProtocolResponse {}

export interface LogoutRemoteRequest extends ProtocolRequest {
  targetDeviceType?: DeviceType;
  requestDeviceType?: DeviceType;
}
export interface LogoutRemoteResponse extends ProtocolResponse {
  targetDeviceType?: DeviceType;
  resultCode?: number;
}

export interface LogoutRemoteNotification extends ProtocolNotification {
  requestDeviceType?: DeviceType;
}
